<?php
  global $post;
?>

<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

  <?php

    if ( has_post_thumbnail() ) {

  ?>

      <div class="post-thumbnail">
        <a href="<?php echo esc_url(get_permalink($post->ID)); ?>" title="<?php the_title_attribute(); ?>">
          <?php
            $size = (is_home()) ? 'jass_large_thumbnail' : 'jass_small_thumbnail';
            the_post_thumbnail($size);
          ?>
        </a>
      </div>

  <?php

    }

  ?>

  <h3 class="post-title"><a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php the_title(); ?></a></h3>

  <?php if ( get_theme_mod('jass_content_info', true) == true ) : ?>

    <div class="post-meta">

      <?php

        esc_html_e('Written by ','jass');
        echo get_the_author_posts_link();

        esc_html_e(' on ','jass');
        echo get_the_date();

        esc_html_e(' - ','jass');
        the_category(' ');

      ?>

    </div>

  <?php endif; ?>

  <div class="post-content">

    <?php the_excerpt(); ?>

  </div>

</div>
